<template>
  <ul class="nav row">
    <li class="nav-item" v-for="group in groups" @mouseover="lazyload">
      <a :href="group.Href">
        <p class="name">{{ group.TabName }}</p>
      </a>
      <div class="dropdownBox" :class="group.Class">
        <div class="w-1200">
          <ul class="navGameList">
            <li class="navGameOne hall_link" v-for="game in group.Item">
              <a href="javascript:;" @click="enterGame(group, game)">
                <div class="GameOneDiv">
                  <i class="gameLogo"><img class="navbar-lazy" :data-src="game.Logo"></i>
                  <p>{{ game.Name }}</p>
                  <div class="navImg"><img class="navbar-lazy" :data-src="game.Img"></div>
                </div>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </li>
    <li class="nav-item nav-promotion tablet">
        <a href="./promotion">
            <p class="name">優惠</p>
        </a>
    </li>
    <!-- 2022/11/28 KG 移除APP按鈕 -->
    <li class="nav-item nav-app tablet">
        <a href="javascript:;" @click="showModal('APP')">
            <p class="name">APP</p>
        </a>
    </li>
  </ul>
</template>

<script>
  module.exports = {
    data() {
      return {
        groups: [
          {
            TabName: "真人",
            Class: "game-row-2",
            Href: "./live",
            Item: [
              {
                Name: "DG真人",
                Img: `/tpl/${theme}/assets/images/nav/nav_live_DG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/DG.png`,
                Hallid: "DG",
              },
              {
                Name: "AB真人",
                Img: `/tpl/${theme}/assets/images/nav/nav_live_AB.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/AB.png`,
                Hallid: "AB",
              },
              {
                Name: "SA真人",
                Img: `/tpl/${theme}/assets/images/nav/nav_live_SA.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/SA.png`,
                Hallid: "SA",
              },
              {
                Name: "DB真人",
                Img: `/tpl/${theme}/assets/images/nav/nav_live_PM.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/DBLive.png`,
                Hallid: "OBLive",
              },
              {
                Name: "WM真人",
                Img: `/tpl/${theme}/assets/images/nav/nav_live_WM.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/WM.png`,
                Hallid: "WM",
              },
              {
                Name: "YB真人",
                Img: `/tpl/${theme}/assets/images/nav/nav_live_YB.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/YB.png`,
                Hallid: "YB",
              },
            ],
          },
          {
            TabName: "體育",
            Class: "",
            Href: "./sport",
            Item: [
              {
                Name: "SUPER體育",
                Img: `/tpl/${theme}/assets/images/nav/nav_sport_super.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/SUPER.png`,
                Hallid: "SuperV2",
              },
              {
                Name: "鑫寶體育",
                Img: `/tpl/${theme}/assets/images/nav/nav_sport_XB.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/SXB.png`,
                Hallid: "WGSport",
              },
              {
                Name: "熊貓體育",
                Img: `/tpl/${theme}/assets/images/nav/nav_sport_PM.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/Panda.png`,
                Hallid: "PASport",
              },
              {
                Name: "平博體育",
                Img: `/tpl/${theme}/assets/images/nav/nav_sport_PB.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/PB.png`,
                Hallid: "PBSport",
              },
              {
                Name: "DB電競",
                Img: `/tpl/${theme}/assets/images/nav/nav_esport_PM.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/DBESport.png`,
                Hallid: "OBESport",
              },
            ],
          },
          {
            TabName: "電子",
            Class: "game-row-3",
            Href: "./slot",
            Item: [
              {
                Name: "好路電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_GR.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid: "GR",
              },
              {
                Name: "RSG電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_RSG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/RSG.png`,
                Eid: "RSG",
              },
              {
                Name: "QT電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_QT.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/QT.png`,
                Hallid: "QT",
              },
              {
                Name: "SP電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_SP.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/SP.png`,
                Hallid: "SP",
              },
              {
                Name: "EvoPlay電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_EVO.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/EVO.png`,
                Eid: "EvoPlay",
              },
              {
                Name: "BNG電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_BNG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/BNG.png`,
                Eid: "BNG",
              },
              {
                Name: "CG電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_CG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/CG.png`,
                Eid: "CG",
              },
              {
                Name: "斑馬電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_ZEBRA.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/ZB.png`,
                Eid: "DS",
              },
              {
                Name: "Ameba電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_AE.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/AE.png`,
                Eid: "AESlot",
              },
              {
                Name: "RK5電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_RK5.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/RK5.png`,
                Eid: "RK5",
              },
              {
                Name: "DB電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_PM.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/DBSlot.png`,
                Eid: "OBSlot",
              },
              {
                Name: "ATG電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_ATG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/ATG.png`,
                Eid: "ATG",
              },
              {
                Name: "FG電子",
                Img: `/tpl/${theme}/assets/images/nav/nav_slot_FG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/FG.png`,
                Eid: "FGQP",
              },
            ],
          },
          {
            TabName: "彩票",
            Class: "",
            Href: "./lottery",
            Item: [
              {
                Name: "9K彩票",
                Img: `/tpl/${theme}/assets/images/nav/nav_lottery_9K.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/9K.png`,
                Hallid: "9K",
              },
              {
                Name: "六合彩球",
                Img: `/tpl/${theme}/assets/images/nav/nav_lottery_SuperCP.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/SUPER.png`,
                Hallid: "SuperCP",
              },
              {
                Name: "WG彩票",
                Img: `/tpl/${theme}/assets/images/nav/nav_lottery_WG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/WG.png`,
                Hallid: "WGLottery",
              },
              {
                Name: "DB彩票",
                Img: `/tpl/${theme}/assets/images/nav/nav_lottery_DB.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/DBLottery.png`,
                Hallid: "OBLottery",
              },
            ],
          },
          {
            TabName: "棋牌",
            Class: "game-row-2",
            Href: "./card",
            Item: [
              {
                Name: "包你發棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_bnf.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/BLF.png`,
                Hallid: "BLF",
              },
              {
                Name: "幸運棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_lk.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/LG.png`,
                Hallid:'LG'
              },
              {
                Name: "好路棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_gr.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid: "GR",
              },
              {
                Name: "老虎城棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_tiger.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/TIGER.png`,
                Hallid: "XGD",
              },
              {
                Name: "百勝棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_bs.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/BSP.png`,
                Hallid: "BSP",
              },
              {
                Name: "DB棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_PM.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/DBChess.png`,
                Hallid: "OBChess",
              },
              {
                Name: "博雅棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_BOYA.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/BOYA.png`,
                Hallid: "BOYA",
              },
              {
                Name: "FG棋牌",
                Img: `/tpl/${theme}/assets/images/nav/nav_chess_FG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/FG.png`,
                Eid: "FGQP",
              },
            ],
          },
          {
            TabName: "捕魚",
            Class: "",
            Href: "./fishing",
            Item: [
              {
                Name: "QT捕魚機",
                Img: `/tpl/${theme}/assets/images/nav/nav_fishing_qt.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/QT.png`,
                Hallid: 'QT',
                GameID: "RTG-fishcatch"
              },
              {
                Name: "SP捕魚機",
                Img: `/tpl/${theme}/assets/images/nav/nav_fishing_sp.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/SP.png`,
                Eid: "SP",
              },
              {
                Name: "幸運棋牌捕魚機",
                Img: `/tpl/${theme}/assets/images/nav/nav_fishing_lk.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/LG.png`,
                Eid: 'LG',
              },
              {
                Name: "好路捕魚機",
                Img: `/tpl/${theme}/assets/images/nav/nav_fishing_gr.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/GR.png`,
                Eid: "GR",
              },
              {
                Name: "DB捕魚機",
                Img: `/tpl/${theme}/assets/images/nav/nav_fishing_PM.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/DBFishing.png`,
                Eid: "OBFishing",
              },
              {
                Name: "FG捕魚機",
                Img: `/tpl/${theme}/assets/images/nav/nav_fishing_FG.png`,
                Logo: `/tpl/${theme}/assets/images/vendor/FG.png`,
                Eid: "FGQP",
              },
            ],
          }
        ]
      };
    },
    mounted() {},
    methods: {
      openModal(Name, Hallid, Gameid) {
        if (isLogin) {
          $("body").addClass("hide");
          $("#Transfer").show();
          setTimeout(function() {
            $(`#Transfer .modal>div`).addClass("active");
          }, 5)
          this.$emit('update',Name,Hallid, Gameid)
          this.$emit('position','Transfer')
        } else {
          annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
        }
      },
      enterGame(group, game) {
        if (!isLogin) {
          annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
          return false;
        }

        if (game.Hallid) {
          this.openModal(game.Name, game.Hallid, game.GameID)
        } else {
          location.href = group.Href ? `${group.Href}?c=${game.Eid}` : game.Href
        }
      },
      modalPosition(name) {
          if(name != 'Register') {
              let el = `#${name} .modal > div`
              let winHigh = $(window).height();
              let modalHigh = $(el).height() + 40;
              if (modalHigh < winHigh) {
                  $(el).removeClass("top");
                  $(el).addClass("center");
              } else {
                  $(el).addClass("top");
                  $(el).removeClass("center");
              }
          }
      },
      showModal(name) {
          $(".modalBox").hide();
          $("body").addClass('hide')
          setTimeout(function() {
              $(`#${name} .modal>div`).addClass("active");
          }, 5)
          $(`#${name}`).show()
          this.modalPosition(name)
      },
      lazyload(event) {
          $(event.currentTarget).find('.navbar-lazy').Lazy({
              effect: "fadeIn",
              effectTime: 600,
              threshold: 0,
          });
      }
    },
  };
</script>